# List workspaces

List all workspaces.

Endpoint: GET /iacm/api/orgs/{org}/projects/{project}/workspaces
Version: 1.0
Security: x-api-key

## Query parameters:

  - `limit` (integer)
    Limit is the number of records to return for a page.
    Example: 30

  - `page` (integer)
    Page is the page number to return relative to the page 'limit'.
    Example: 1

  - `searchTerm` (string)
    Filter results by partial name match
    Example: "mysta"

  - `sort` (string)
    Sort order for results
    Enum: "name,ASC", "name,DESC", "updated,ASC", "updated,DESC"

  - `status` (array)
    Status of the execution
    Example: ["Quaerat nam quia.","Nesciunt delectus quasi."]

  - `tags` (array)
    Comma separated list of tags to filter by
    Example: ["Nostrum qui magnam asperiores in.","Praesentium vel ipsum dolorum."]

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "1"

  - `project` (string, required)
    Project is the project identifier.
    Example: "5"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "sd"

## Response 200 fields (application/json):

  - `account` (string, required)
    Account is the internal customer account ID.
    Example: "fo"

  - `created` (integer, required)
    Created is the unix timestamp at which the resource was originally created in milliseconds.
    Example: 6045901660041005000

  - `description` (string)
    Description provides long-form text about the resource.
    Example: "this is a more detailed explanation of the resource."

  - `identifier` (string, required)
    Workspace identifier.
    Example: "03z"

  - `name` (string, required)
    Name is the human readable name for the resource.
    Example: "resource name"

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "rgg"

  - `project` (string, required)
    Project is the project identifier.
    Example: "y54"

  - `status` (string, required)
    The status of the workspace
    Enum: "active", "inactive", "provisioning", "destroying", "failed", "unknown", "rollback_applied"

  - `updated` (integer, required)
    Modified is the unix timestamp at which the resource was last modified in milliseconds.
    Example: 2989163535342006300

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


